=== debian/changelog ===
iotop-c (1.9-1) unstable; urgency=medium

  * Add Vcs-* tags
  * Update to new upstream release of 1.9
  * Bump debhelper-compat to 13

 -- Boian Bonev <bbonev@ipacct.com>  Sat, 22 Aug 2020 02:10:44 +0000

iotop-c (1.8-1) unstable; urgency=medium

  * Initial release (Closes: #963612)

 -- Boian Bonev <bbonev@ipacct.com>  Thu, 02 Jul 2020 09:20:46 +0000
