=== debian/control ===
Source: iotop-c
Section: admin
Priority: optional
Maintainer: Boian Bonev <bbonev@ipacct.com>
Build-Depends:
 debhelper-compat (= 13),
 libncurses-dev,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/Tomas-M/iotop
Vcs-Browser: https://github.com/Tomas-M/iotop
Vcs-Git: https://github.com/Tomas-M/iotop.git

Package: iotop-c
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 iotop (<= 0.6-24-g733f3f8-1),
Breaks:
 iotop (<= 0.6-24-g733f3f8-1),
Description: simple top-like I/O monitor (implemented in C)
 iotop-c does for I/O usage what top(1) does for CPU usage. It watches I/O
 usage information output by the Linux kernel and displays a table of
 current I/O usage by processes on the system. It is handy for answering
 the question "Why is the disk churning so much?".
 .
 iotop-c requires a Linux kernel built with the CONFIG_TASKSTATS,
 CONFIG_TASK_DELAY_ACCT, CONFIG_TASK_IO_ACCOUNTING and
 CONFIG_VM_EVENT_COUNTERS config options on.
 .
 iotop-c is an alternative reimplementation of iotop in C, optimized for
 performance. Normally a monitoring tool intended to be used on a system
 under heavy stress should use the least additional resources as
 possible.
