=== debian/rules ===
#!/usr/bin/make -f

# use the default Debian build options; do not strip as dh_* scripts strip the binary
export NO_FLTO=1
export STRIP=/bin/true
ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
export V=1
else
export V=0
endif
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@

override_dh_install:
	dh_install
	mv debian/iotop-c/usr/sbin/iotop debian/iotop-c/usr/sbin/iotop-c
	mkdir -p debian/iotop-c/usr/share/man/man8
	cp debian/iotop.8 debian/iotop-c/usr/share/man/man8/iotop-c.8
