## iotop-c 1.17

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # SPDX-License-Identifer: GPL-2.0-or-later
 #
 # Copyright (C) 2014  Vyacheslav Trushkin
-# Copyright (C) 2020  Boian Bonev
+# Copyright (C) 2020,2021  Boian Bonev
 #
 # This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
 #
@@ -23,15 +23,28 @@
 DEPS:=$(OBJS:.o=.d)
 
 ifndef NO_FLTO
-CFLAGS?=-O3 -fno-stack-protector -mno-stackrealign -flto
-LDFLAGS+=-O3 -fno-stack-protector -mno-stackrealign -flto
+CFLAGS?=-O3 -fno-stack-protector -mno-stackrealign
+CFLAGS+=-flto
+LDFLAGS+=$(CFLAGS)
 else
 CFLAGS?=-O3 -fno-stack-protector -mno-stackrealign
 endif
 
-MYCFLAGS:=$(CPPFLAGS) $(CFLAGS) -std=gnu90 -Wall -Wextra
-MYLIBS=$(LIBS) -lncursesw
-MYLDFLAGS=$(LDFLAGS)
+PKG_CONFIG?=pkg-config
+NCCC?=$(shell $(PKG_CONFIG) --cflags ncursesw)
+NCLD?=$(shell $(PKG_CONFIG) --libs ncursesw)
+ifeq ("$(NCLD)","")
+NCCC:=$(shell $(PKG_CONFIG) --cflags ncurses)
+NCLD:=$(shell $(PKG_CONFIG) --libs ncurses)
+endif
+ifeq ("$(NCLD)","")
+NCCC:=
+NCLD:=-lncursesw
+endif
+
+MYCFLAGS:=$(CPPFLAGS) $(CFLAGS) $(NCCC) -std=gnu90 -Wall -Wextra -fPIE
+MYLIBS=$(LIBS) $(NCLD)
+MYLDFLAGS=$(LDFLAGS) -fPIE -pie
 STRIP?=strip
 
 PREFIX?=$(DESTDIR)/usr
@@ -65,6 +78,7 @@
 	$(Q)$(STRIP) $(TARGET)
 	$(E) INSTALL $(TARGET)
 	$(Q)install -TD -m 0755 $(TARGET) $(PREFIX)/sbin/$(TARGET)
+	$(Q)install -TD -m 0644 iotop.8 $(PREFIX)/share/man/man8/iotop.8
 
 uninstall:
 	$(E) UNINSTALL $(TARGET)
@@ -74,6 +88,22 @@
 	$(Q)mkdir -p bld
 	$(Q)touch bld/.mkdir
 
+VER:=$(shell grep VERSION src/iotop.h|tr -d '\"'|awk '{print $$3}')
+mkotar:
+	$(MAKE) clean
+	-dh_clean
+	tar \
+		--xform 's,^[.],iotop-$(VER),' \
+		--exclude ./.git \
+		--exclude ./.gitignore \
+		--exclude ./debian \
+		--exclude ./fedora \
+		-Jcvf ../iotop-c_$(VER).orig.tar.xz .
+	-rm -f ../iotop-c_$(VER).orig.tar.xz.asc
+	gpg -a --detach-sign ../iotop-c_$(VER).orig.tar.xz
+	cp -fa ../iotop-c_$(VER).orig.tar.xz ../iotop-$(VER).tar.xz
+	cp -fa ../iotop-c_$(VER).orig.tar.xz.asc ../iotop-$(VER).tar.xz.asc
+
 -include $(DEPS)
 
 .PHONY: clean install uninstall
