=== debian/changelog ===
iotop-c (1.17-1+deb11u1) bullseye; urgency=medium

  * Backport bugfix from 1.18
    - fix OOB access caused by UTF8 process names

 -- Boian Bonev <bbonev@ipacct.com>  Mon, 06 Sep 2021 01:54:40 +0000

iotop-c (1.17-1) unstable; urgency=medium

  * Update to new upstream release of 1.17

 -- Boian Bonev <bbonev@ipacct.com>  Sat, 06 Feb 2021 01:02:03 +0000

iotop-c (1.16-1) unstable; urgency=medium

  * Update standards to 4.5.1
  * Update to new upstream release of 1.16

 -- Boian Bonev <bbonev@ipacct.com>  Mon, 25 Jan 2021 05:01:28 +0000

iotop-c (1.15-1) unstable; urgency=medium

  * Update to new upstream release of 1.15
    - fix read return value converted to unsugned (and possible OOB in the rare
      case that happens
    - fix keypress ignored during screen refresh
    - fix Ctrl-L to really redraw screen

 -- Boian Bonev <bbonev@ipacct.com>  Wed, 30 Sep 2020 14:49:57 +0000

iotop-c (1.14-1) unstable; urgency=medium

  * Update to new upstream release of 1.12
    - fix SIGSEGV in humanize_val on large values
    - convert the pseudo-graph to a normal column
    - remove option -s (replaced by -8 with inverse logic)
    - add sort by the pseudo-graph column
    - make sort by the pseudo-graph the default
    - implement hiding columns by options and shortcuts 1...9
    - revise column widths
    - rewrite curses event loop to make data collection separate from refresh
    - fix sorting (proper double value comparison)
  * Update to new upstream release of 1.14
    - fix off-by-one errors in size calculation to avoid truncated strings
    - unify snprintf usage according to glibc semantics
    - keep both variants of cmdline in memory for immediate display change
      (hotkey c)
    - rewrite get_vm_counters with simpler io
    - nuke the remnants of -s/--iohistory options
    - be more strict to unrecognized arguments
  * Remove debian folder from release tarballs (lintian: no-debian-changes)
  * Change release tarballs url in debian/watch

 -- Boian Bonev <bbonev@ipacct.com>  Thu, 24 Sep 2020 00:28:13 +0000

iotop-c (1.11-1) unstable; urgency=medium

  * Update to new upstream release of 1.10
    - add pseudo graphs for total IO activity
    - add detection of UTF support, fallback to ASCII
    - add shortcut to toggle UTF/ASCII
    - improve build checks for printf-like ncurses API
  * Convert alternatives to debhelper instead of shell scripts
  * Add debian/upstream/metadata
  * Update to new upstream release of 1.11
    - better detection of locale/terminal
    - add graph and UTF/ASCII toggles to help
    - increase history to 60 datapoints
    - make graphs scale as screen size changes
    - always keep track of history data (graph display toggle no
      longer affects the data collected)
    - use the history data as 'only' filter in interactive mode
  * Add build-dep on pkg-config
  * wrap-and-sort in the proper way

 -- Boian Bonev <bbonev@ipacct.com>  Wed, 02 Sep 2020 20:41:00 +0300
