=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Build-Depends:
  debhelper-compat (= 13),
  libncurses-dev,
-Standards-Version: 4.5.0
+ pkg-config,
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/Tomas-M/iotop
 Vcs-Browser: https://github.com/Tomas-M/iotop
@@ -30,7 +31,7 @@
  CONFIG_TASK_DELAY_ACCT, CONFIG_TASK_IO_ACCOUNTING and
  CONFIG_VM_EVENT_COUNTERS config options on.
  .
- iotop-c is an alternative reimplementation of iotop in C, optimized for
+ iotop-c is an alternative re-implementation of iotop in C, optimized for
  performance. Normally a monitoring tool intended to be used on a system
  under heavy stress should use the least additional resources as
  possible.
