## iotop-c 1.20

=== debian/changelog ===
iotop-c (1.20-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boian Bonev <bbonev@ipacct.com>  Sun, 10 Oct 2021 01:42:46 +0000

iotop-c (1.20-1) unstable; urgency=medium

  * Update to new upstream release of 1.20
    - Add support for kernel 5.14+ task_delayacct sysctl

 -- Boian Bonev <bbonev@ipacct.com>  Mon, 04 Oct 2021 23:56:24 +0000

iotop-c (1.19-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boian Bonev <bbonev@ipacct.com>  Tue, 28 Sep 2021 22:51:46 +0000

iotop-c (1.19-1) unstable; urgency=medium

  * Update to new upstream release of 1.19
    - Do not crash if TERM is not set

 -- Boian Bonev <bbonev@ipacct.com>  Tue, 21 Sep 2021 08:30:10 +0000

iotop-c (1.18-1~bpo11+2) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Backport fix from 1.19
    - Do not crash if TERM is not set

 -- Boian Bonev <bbonev@ipacct.com>  Wed, 22 Sep 2021 21:08:16 +0000

iotop-c (1.18-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boian Bonev <bbonev@ipacct.com>  Mon, 20 Sep 2021 22:47:41 +0000

iotop-c (1.18-1) unstable; urgency=medium

  * Update to new upstream release of 1.18
  * Update standards to 4.6.0

 -- Boian Bonev <bbonev@ipacct.com>  Tue, 24 Aug 2021 02:45:57 +0000
