## iotop-c 1.21

=== Makefile ===
--- 
+++ 
@@ -25,9 +25,19 @@
 ifndef NO_FLTO
 CFLAGS?=-O3 -fno-stack-protector -mno-stackrealign
 CFLAGS+=-flto
-LDFLAGS+=$(CFLAGS)
 else
 CFLAGS?=-O3 -fno-stack-protector -mno-stackrealign
+endif
+
+ifdef GCCFANALIZER
+CFLAGS+=-fanalyzer
+endif
+
+INSTALL?=install
+
+HAVESREA:=$(shell if $(CC) -mno-stackrealign -c /dev/null -o /dev/null >/dev/null 2>/dev/null;then echo yes;else echo no;fi)
+ifeq ("$(HAVESREA)","no")
+CFLAGS:=$(filter-out -mno-stackrealign,$(CFLAGS))
 endif
 
 PKG_CONFIG?=pkg-config
@@ -42,9 +52,15 @@
 NCLD:=-lncursesw
 endif
 
-MYCFLAGS:=$(CPPFLAGS) $(CFLAGS) $(NCCC) -std=gnu90 -Wall -Wextra -fPIE
-MYLIBS=$(LIBS) $(NCLD)
-MYLDFLAGS=$(LDFLAGS) -fPIE -pie
+# for glibc < 2.17, -lrt is required for clock_gettime
+NEEDLRT:=$(shell if $(CC) -E glibcvertest.h -o -|grep IOTOP_NEED_LRT|grep -q yes;then echo need; fi)
+
+MYCFLAGS:=$(CPPFLAGS) $(CFLAGS) $(NCCC) -Wall -Wextra -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 --std=gnu90 -fPIE
+MYLIBS:=$(NCLD) $(LIBS)
+MYLDFLAGS:=$(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -fPIE -pie
+ifeq ("$(NEEDLRT)","need")
+MYLDFLAGS+=-lrt
+endif
 STRIP?=strip
 
 PREFIX?=$(DESTDIR)/usr
@@ -77,12 +93,13 @@
 	$(E) STRIP $(TARGET)
 	$(Q)$(STRIP) $(TARGET)
 	$(E) INSTALL $(TARGET)
-	$(Q)install -TD -m 0755 $(TARGET) $(PREFIX)/sbin/$(TARGET)
-	$(Q)install -TD -m 0644 iotop.8 $(PREFIX)/share/man/man8/iotop.8
+	$(Q)$(INSTALL) -D -m 0755 $(TARGET) $(PREFIX)/sbin/$(TARGET)
+	$(Q)$(INSTALL) -D -m 0644 iotop.8 $(PREFIX)/share/man/man8/iotop.8
 
 uninstall:
 	$(E) UNINSTALL $(TARGET)
-	$(Q)rm $(PREFIX)/sbin/$(TARGET)
+	$(Q)rm -f $(PREFIX)/sbin/$(TARGET)
+	$(Q)rm -f $(PREFIX)/share/man/man8/iotop.8
 
 bld/.mkdir:
 	$(Q)mkdir -p bld
@@ -97,7 +114,6 @@
 		--exclude ./.git \
 		--exclude ./.gitignore \
 		--exclude ./debian \
-		--exclude ./fedora \
 		-Jcvf ../iotop-c_$(VER).orig.tar.xz .
 	-rm -f ../iotop-c_$(VER).orig.tar.xz.asc
 	gpg -a --detach-sign ../iotop-c_$(VER).orig.tar.xz
