=== debian/changelog ===
iotop-c (1.21-1) unstable; urgency=medium

  * Update to new upstream release of 1.21
    - Better support for disabled task_delayacct sysctl
    - Add history and graph for all data
    - Restore simple inline help
  * Remove filenamemangle from d/watch

 -- Boian Bonev <bbonev@ipacct.com>  Wed, 26 Jan 2022 15:20:46 +0000
