## iotop-c 1.22

=== Makefile ===
--- 
+++ 
@@ -4,10 +4,10 @@
 #   make V=1
 
 #
-# SPDX-License-Identifer: GPL-2.0-or-later
+# SPDX-License-Identifier: GPL-2.0-or-later
 #
 # Copyright (C) 2014  Vyacheslav Trushkin
-# Copyright (C) 2020,2021  Boian Bonev
+# Copyright (C) 2020,2022  Boian Bonev
 #
 # This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
 #
