## iotop-c 1.26

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # SPDX-License-Identifier: GPL-2.0-or-later
 #
 # Copyright (C) 2014  Vyacheslav Trushkin
-# Copyright (C) 2020-2023  Boian Bonev
+# Copyright (C) 2020-2024  Boian Bonev
 #
 # This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
 #
@@ -33,12 +33,9 @@
 CFLAGS+=-fanalyzer
 endif
 
+PREFIX?=$(DESTDIR)/usr
 INSTALL?=install
-
-HAVESREA:=$(shell if $(CC) -mno-stackrealign -c /dev/null -o /dev/null >/dev/null 2>/dev/null;then echo yes;else echo no;fi)
-ifeq ("$(HAVESREA)","no")
-CFLAGS:=$(filter-out -mno-stackrealign,$(CFLAGS))
-endif
+STRIP?=strip
 
 PKG_CONFIG?=pkg-config
 NCCC?=$(shell $(PKG_CONFIG) --cflags ncursesw)
@@ -54,16 +51,28 @@
 
 # for glibc < 2.17, -lrt is required for clock_gettime
 NEEDLRT:=$(shell if $(CC) -E glibcvertest.h -o -|grep IOTOP_NEED_LRT|grep -q yes;then echo need; fi)
+# some architectures do not have -mno-stackrealign
+HAVESREA:=$(shell if $(CC) -mno-stackrealign -xc -c /dev/null -o /dev/null >/dev/null 2>/dev/null;then echo yes;else echo no;fi)
+# old comiplers do not have -Wdate-time
+HAVEWDTI:=$(shell if $(CC) -Wdate-time -xc -c /dev/null -o /dev/null >/dev/null 2>/dev/null;then echo yes;else echo no;fi)
 
-MYCFLAGS:=$(CPPFLAGS) $(CFLAGS) $(NCCC) -Wall -Wextra -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 --std=gnu90 -fPIE
+MYCFLAGS:=$(CPPFLAGS) $(CFLAGS) $(NCCC) -Wall -Wextra -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 --std=gnu89 -fPIE
 MYLIBS:=$(NCLD) $(LIBS)
 MYLDFLAGS:=$(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -fPIE -pie
+
+ifeq ("$(HAVESREA)","no")
+MYCFLAGS:=$(filter-out -mno-stackrealign,$(MYCFLAGS))
+MYLDFLAGS:=$(filter-out -mno-stackrealign,$(MYLDFLAGS))
+endif
+
+ifeq ("$(HAVEWDTI)","no")
+MYCFLAGS:=$(filter-out -Wdate-time,$(MYCFLAGS))
+MYLDFLAGS:=$(filter-out -Wdate-time,$(MYLDFLAGS))
+endif
+
 ifeq ("$(NEEDLRT)","need")
 MYLDFLAGS+=-lrt
 endif
-STRIP?=strip
-
-PREFIX?=$(DESTDIR)/usr
 
 ifeq ("$(V)","1")
 Q:=
@@ -124,6 +133,19 @@
 	$(Q)$(MAKE) --no-print-directory clean
 	$(Q)$(MAKE) --no-print-directory -j
 
+pv:
+	@echo CFLAGS: $(CFLAGS)
+	@echo LDFLAGS: $(LDFLAGS)
+	@echo LIBS: $(LIBS)
+	@echo NCCC: $(NCCC)
+	@echo NCLD: $(NCLD)
+	@echo NEEDLRT: $(NEEDLRT)
+	@echo HAVESREA: $(HAVESREA)
+	@echo HAVEWDTI: $(HAVEWDTI)
+	@echo MYCFLAGS: $(MYCFLAGS)
+	@echo MYLDFLAGS: $(MYLDFLAGS)
+	@echo MYLIBS: $(MYLIBS)
+
 -include $(DEPS)
 
-.PHONY: all clean install uninstall mkotar re
+.PHONY: all clean install uninstall mkotar re pv
