=== debian/changelog ===
iotop-c (1.26-1) unstable; urgency=medium

  * Update to new upstream release of 1.26
    - Clock in upper right corner

 -- Boian Bonev <bbonev@ipacct.com>  Sat, 03 Feb 2024 13:45:39 +0000

iotop-c (1.25-1) unstable; urgency=medium

  * Update to new upstream release of 1.25
    - Fix ESC makes iotop busy loop
    - Fix the logic in 'only' option

 -- Boian Bonev <bbonev@ipacct.com>  Sat, 14 Oct 2023 08:49:48 +0000

iotop-c (1.24-1) unstable; urgency=medium

  * Update to new upstream release of 1.24
    - Fix a bug with graphs in ASCII mode
    - Show the status of the configuration in the help window

 -- Boian Bonev <bbonev@ipacct.com>  Sat, 30 Sep 2023 23:04:47 +0000
