## iotop-c 1.27

=== Makefile ===
--- 
+++ 
@@ -2,12 +2,14 @@
 #   make NO_FLTO=1
 # and this to enable verbose mode:
 #   make V=1
+# an example how to build with CFI (https://en.wikipedia.org/wiki/Control-flow_integrity)
+#   CC=clang-17 CFLAGS="-fsanitize=cfi -fno-sanitize-trap -fvisibility=hidden" make
 
 #
 # SPDX-License-Identifier: GPL-2.0-or-later
 #
 # Copyright (C) 2014  Vyacheslav Trushkin
-# Copyright (C) 2020-2024  Boian Bonev
+# Copyright (C) 2020-2025  Boian Bonev
 #
 # This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.
 #
@@ -55,6 +57,16 @@
 HAVESREA:=$(shell if $(CC) -mno-stackrealign -xc -c /dev/null -o /dev/null >/dev/null 2>/dev/null;then echo yes;else echo no;fi)
 # old comiplers do not have -Wdate-time
 HAVEWDTI:=$(shell if $(CC) -Wdate-time -xc -c /dev/null -o /dev/null >/dev/null 2>/dev/null;then echo yes;else echo no;fi)
+# old compilers can not generate dependecies
+HAVEDEPS:=$(shell if $(CC) -MM -MT /dev/null -MF /dev/null /dev/null >/dev/null 2>/dev/null;then echo yes;else echo no;fi)
+# old compilers do not understand C standard
+HAVECSTD:=$(shell if $(CC) --std=gnu89 -xc -c /dev/null -o /dev/null >/dev/null 2>/dev/null;then echo yes;else echo no;fi)
+# old compilers do not understand -flto=auto
+HAVEFLTA:=$(shell if $(CC) -flto=auto -xc -c /dev/null -o /dev/null >/dev/null 2>/dev/null;then echo yes;else echo no;fi)
+# old compilers do not understand -flto at all
+HAVEFLTO:=$(shell if $(CC) -flto -xc -c /dev/null -o /dev/null >/dev/null 2>/dev/null;then echo yes;else echo no;fi)
+# old compilers do not understand -pie; clang yields error when stderr is redirected :(
+HAVELPIE:=$(shell if $(CC) -Wno-unused-command-line-argument -pie -xc -c /dev/null -o /dev/null >/dev/null 2>/dev/null;then echo yes;else echo no;fi)
 
 MYCFLAGS:=$(CPPFLAGS) $(CFLAGS) $(NCCC) -Wall -Wextra -Wformat -Werror=format-security -Wdate-time -D_FORTIFY_SOURCE=2 --std=gnu89 -fPIE
 MYLIBS:=$(NCLD) $(LIBS)
@@ -70,6 +82,31 @@
 MYLDFLAGS:=$(filter-out -Wdate-time,$(MYLDFLAGS))
 endif
 
+ifeq ("$(HAVECSTD)","no")
+MYCFLAGS:=$(filter-out --std=gnu89,$(MYCFLAGS))
+MYLDFLAGS:=$(filter-out --std=gnu89,$(MYLDFLAGS))
+MYCFLAGS:=$(filter-out -D_FORTIFY_SOURCE=2,$(MYCFLAGS))
+MYLDFLAGS:=$(filter-out -D_FORTIFY_SOURCE=2,$(MYLDFLAGS))
+endif
+
+ifeq ("$(HAVEFLTA)","no")
+ifndef NO_FLTO
+ifeq ("$(HAVEFLTA)","no")
+MYCFLAGS:=$(filter-out -flto=auto,$(MYCFLAGS))
+MYLDFLAGS:=$(filter-out -flto=auto,$(MYLDFLAGS))
+else
+MYCFLAGS:=$(filter-out -flto=auto,$(MYCFLAGS))
+MYLDFLAGS:=$(filter-out -flto=auto,$(MYLDFLAGS))
+MYCFLAGS+=-flto
+MYLDFLAGS+=-flto
+endif
+endif
+endif
+
+ifeq ("$(HAVELPIE)","no")
+MYLDFLAGS:=$(filter-out -pie,$(MYLDFLAGS))
+endif
+
 ifeq ("$(NEEDLRT)","need")
 MYLDFLAGS+=-lrt
 endif
@@ -82,6 +119,12 @@
 E:=@echo
 endif
 
+ifeq ("$(HAVEDEPS)","no")
+NDEP:=@true
+else
+NDEP:=
+endif
+
 all: $(TARGET)
 
 $(TARGET): $(OBJS)
@@ -89,8 +132,8 @@
 	$(Q)$(CC) -o $@ $(MYLDFLAGS) $^ $(MYLIBS)
 
 bld/%.o: src/%.c bld/.mkdir
-	$(E) DE $@
-	$(Q)$(CC) $(MYCFLAGS) -MM -MT $@ -MF $(patsubst %.o,%.d,$@) $<
+	$(NDEP) $(E) DE $@
+	$(NDEP) $(Q)$(CC) $(MYCFLAGS) -MM -MT $@ -MF $(patsubst %.o,%.d,$@) $<
 	$(E) CC $@
 	$(Q)$(CC) $(MYCFLAGS) -c -o $@ $<
 
@@ -142,6 +185,11 @@
 	@echo NEEDLRT: $(NEEDLRT)
 	@echo HAVESREA: $(HAVESREA)
 	@echo HAVEWDTI: $(HAVEWDTI)
+	@echo HAVEDEPS: $(HAVEDEPS)
+	@echo HAVECSTD: $(HAVECSTD)
+	@echo HAVEFLTA: $(HAVEFLTA)
+	@echo HAVEFLTO: $(HAVEFLTO)
+	@echo HAVELPIE: $(HAVELPIE)
 	@echo MYCFLAGS: $(MYCFLAGS)
 	@echo MYLDFLAGS: $(MYLDFLAGS)
 	@echo MYLIBS: $(MYLIBS)
