=== debian/changelog ===
iotop-c (1.27-1) unstable; urgency=medium

  * Update to new upstream release of 1.27
  * Bump standards to 4.7.0, no changes
  * Change pkg-config to pkgconf

 -- Boian Bonev <bbonev@ipacct.com>  Mon, 13 Jan 2025 10:36:15 +0000
