## iotop-c 1.30

=== debian/changelog ===
iotop-c (1.30-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boian Bonev <bbonev@ipacct.com>  Sun, 01 Jun 2025 04:12:31 +0000

iotop-c (1.30-1) unstable; urgency=medium

  * Update to new upstream release of 1.30
    - kernel commit 0bf2d83 fixes the problem with struct taskstats
      now iotop 1.30 handles only v15 of the struct in a different
      way, retaining compatibility with both old and new kernels
    - show zero current values for exited processes
    - flush stdout after each batch run

 -- Boian Bonev <bbonev@ipacct.com>  Mon, 26 May 2025 20:24:48 +0000

iotop-c (1.29-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boian Bonev <bbonev@ipacct.com>  Sat, 17 May 2025 13:40:08 +0000

iotop-c (1.29-1) unstable; urgency=medium

  * Update to new upstream release of 1.29
    - fix backward incompatible change in kernel
      struct taskstats

 -- Boian Bonev <bbonev@ipacct.com>  Tue, 06 May 2025 22:09:06 +0000

iotop-c (1.28-1) unstable; urgency=medium

  * Update to new upstream release of 1.28
    - fix batch mode
  * Bump standards to 4.7.2, no changes

 -- Boian Bonev <bbonev@ipacct.com>  Fri, 02 May 2025 15:07:42 +0000

iotop-c (1.27-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boian Bonev <bbonev@ipacct.com>  Sat, 18 Jan 2025 23:31:34 +0000

iotop-c (1.26-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boian Bonev <bbonev@ipacct.com>  Fri, 09 Feb 2024 10:07:03 +0000

iotop-c (1.25-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boian Bonev <bbonev@ipacct.com>  Sun, 26 Nov 2023 03:22:06 +0000
