=== debian/changelog ===
iotop-c (1.31-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Boian Bonev <bbonev@ipacct.com>  Thu, 05 Feb 2026 17:39:56 +0000

iotop-c (1.31-1) unstable; urgency=medium

  [ Renan Rodrigo ]
  * Add autopkgtests

  [ Boian Bonev ]
  * Update to new upstream release of 1.31
  * Bump standards to 4.7.3
  * Remove redundant priority
  * Remove redundant r^3
  * Update year in copyright
  * Change d/watch to version 5

 -- Boian Bonev <bbonev@ipacct.com>  Tue, 20 Jan 2026 13:09:55 +0000
