=== debian/tests/control ===
Tests: basic-output iterations real-io
Depends: iotop-c, coreutils
Restrictions: needs-root isolation-machine
