=== debian/watch ===
Version: 5
Template: GitHub
Dist: https://github.com/Tomas-M/iotop
DownloadURLMangle: s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/tags/v(@ANY_VERSION@)%github.com/Tomas-M/iotop/releases/download/v$2/iotop-$2.tar.xz%g
PgpSigURLMangle: s/$/.asc/
